Bug 1873140 - Alerting Filter is not working
Summary: Alerting Filter is not working
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Dev Console
Version: 4.6
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.6.0
Assignee: Vikram Raj
QA Contact: Gajanan More
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-27 13:20 UTC by Vikram Raj
Modified: 2020-09-09 09:57 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift console pull 6313 None closed Bug 1873140: fix Alert State filter for dev perspective Alerts 2020-09-08 07:12:50 UTC

Description Vikram Raj 2020-08-27 13:20:33 UTC
Description of problem:
Even though, there is a Firing alerts present on the Alerts page, I am unable to filter it. Even under the Filters dropdown, it shows 0 even though there is one firing alert present.

Prerequisites (if any, like setup, operators/versions):
Node with some firing alerts

Steps to Reproduce
1. Open the Alerts tab on the Monitoring page
2. Open the Filters dropdown and you will 0 in the Firing alert state section even though there is one alerts with Alert State Firing.

Please have a look at the screenshots shared.

Expected results:
Alerts should be filtered according to alert state as well.

Reproducibility (Always/Intermittent/Only Once):
Always

Build Details:
4.6.0-0.nightly-2020-08-02-091622

Additional info:
Browser: Google Chrome Version 84.0.4147.89

Comment 3 Gajanan More 2020-09-09 09:57:45 UTC
I have validated the bugzilla on:

Build: 4.6.0-0.nightly-2020-09-09-003430

Browser: Google Chrome Version 85.0.4183.102

Marking this as verified.


Note You need to log in before you can comment on or make changes to this bug.